curl --request GET \
--url https://therundown.io/api/v1/events/{eventId} \
--header 'X-TheRundown-Key: <api-key>'import requests
url = "https://therundown.io/api/v1/events/{eventId}"
headers = {"X-TheRundown-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-TheRundown-Key': '<api-key>'}};
fetch('https://therundown.io/api/v1/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://therundown.io/api/v1/events/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-TheRundown-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://therundown.io/api/v1/events/{eventId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-TheRundown-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://therundown.io/api/v1/events/{eventId}")
.header("X-TheRundown-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://therundown.io/api/v1/events/{eventId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-TheRundown-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"event_id": "09bfa53f8484a63e584398545c035932",
"sport_id": 4,
"event_date": "2026-02-12T00:00:00Z",
"score": {
"event_status": "STATUS_FINAL",
"score_away": 107,
"score_home": 110,
"venue_name": "Spectrum Center",
"venue_location": "Charlotte, NC",
"event_status_detail": "Final"
},
"teams": [
{
"team_id": 178,
"team_normalized_id": 11,
"name": "Atlanta Hawks",
"is_away": true,
"is_home": false
},
{
"team_id": 164,
"team_normalized_id": 12,
"name": "Charlotte Hornets",
"is_away": false,
"is_home": true
}
],
"teams_normalized": [
{
"team_id": 11,
"name": "Atlanta",
"mascot": "Hawks",
"abbreviation": "ATL",
"record": "26-30",
"is_away": true,
"is_home": false
},
{
"team_id": 12,
"name": "Charlotte",
"mascot": "Hornets",
"abbreviation": "CHA",
"record": "26-29",
"is_away": false,
"is_home": true
}
],
"lines": {
"4": {
"line_id": 17980122,
"moneyline": {
"moneyline_away": -105,
"moneyline_home": -115,
"moneyline_draw": 0.0001
},
"spread": {
"point_spread_away": 1.5,
"point_spread_away_money": -110,
"point_spread_home": -1.5,
"point_spread_home_money": -110
},
"total": {
"total_over": 235.5,
"total_over_money": -110,
"total_under": 235.5,
"total_under_money": -110
}
}
}
}Get a single event with lines
Retrieve one event and its lines by event ID with the V1 sports data API. Review request parameters and response fields.
curl --request GET \
--url https://therundown.io/api/v1/events/{eventId} \
--header 'X-TheRundown-Key: <api-key>'import requests
url = "https://therundown.io/api/v1/events/{eventId}"
headers = {"X-TheRundown-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-TheRundown-Key': '<api-key>'}};
fetch('https://therundown.io/api/v1/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://therundown.io/api/v1/events/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-TheRundown-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://therundown.io/api/v1/events/{eventId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-TheRundown-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://therundown.io/api/v1/events/{eventId}")
.header("X-TheRundown-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://therundown.io/api/v1/events/{eventId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-TheRundown-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"event_id": "09bfa53f8484a63e584398545c035932",
"sport_id": 4,
"event_date": "2026-02-12T00:00:00Z",
"score": {
"event_status": "STATUS_FINAL",
"score_away": 107,
"score_home": 110,
"venue_name": "Spectrum Center",
"venue_location": "Charlotte, NC",
"event_status_detail": "Final"
},
"teams": [
{
"team_id": 178,
"team_normalized_id": 11,
"name": "Atlanta Hawks",
"is_away": true,
"is_home": false
},
{
"team_id": 164,
"team_normalized_id": 12,
"name": "Charlotte Hornets",
"is_away": false,
"is_home": true
}
],
"teams_normalized": [
{
"team_id": 11,
"name": "Atlanta",
"mascot": "Hawks",
"abbreviation": "ATL",
"record": "26-30",
"is_away": true,
"is_home": false
},
{
"team_id": 12,
"name": "Charlotte",
"mascot": "Hornets",
"abbreviation": "CHA",
"record": "26-29",
"is_away": false,
"is_home": true
}
],
"lines": {
"4": {
"line_id": 17980122,
"moneyline": {
"moneyline_away": -105,
"moneyline_home": -115,
"moneyline_draw": 0.0001
},
"spread": {
"point_spread_away": 1.5,
"point_spread_away_money": -110,
"point_spread_home": -1.5,
"point_spread_home_money": -110
},
"total": {
"total_over": 235.5,
"total_over_money": -110,
"total_under": 235.5,
"total_under_money": -110
}
}
}
}Authorizations
Path Parameters
Query Parameters
Odds representation for supported REST prices. Omit the parameter or use american to preserve the existing American format. Supported values are american, decimal, fractional, and probability (a 0..1 fraction). Fractional odds are reduced ratio strings. Decimal and probability values preserve the source number or numeric-string type. Nulls, nonnumeric sentinels, off-board values such as 0 and 0.0001, and numeric values with absolute value below 100 remain unchanged. Price-delta fields remain in American-point difference units. Empty, repeated, or unsupported values return HTTP 400. WebSocket messages are unchanged.
american, decimal, fractional, probability Response
Event with lines